Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deFSReal Class Reference

`#include <deFileSystem_priv.hpp>`

Inheritance diagram for deFSReal:

[legend]
Collaboration diagram for deFSReal:

[legend]
List of all members.

## Public Member Functions
| deFSReal ()
| ~deFSReal ()
void * | GetInterface (IdeFileSystem::interface_t i)
IdeFile * | Open (const char *Filename, long OpenFlags)
const char * | GetDirectory ()
| Get the current directoriy.
deBoolean | SetDirectory (const char *Directory)
| Set the current directory.
deBoolean | Rename (const char *OldFilename, const char *NewFilename)
deBoolean | Delete (const char *Filename, deFSPROGRESS StatusCallback)
deBoolean | Move (const char *OldFilename, const char *NewFilename, deFSPROGRESS StatusCallback)
deBoolean | Copy (const char *OldFilename, const char *NewFilename, deFSPROGRESS StatusCallback)
deBoolean | AddDirectory (const char *Directory)
deBoolean | DeleteDirectory (const char *Directory, deFSPROGRESS StatusCallback)
void * | FindFirst (const char *Pattern, deFileProperties *Properties)
deBoolean | FindNext (void *Handle, deFileProperties *Properties)
deBoolean | FindEnd (void *Handle)
## Protected Member Functions
deBoolean | deFSReal::Open (deFileReal *RealFile, const char *Filename, long OpenFlags)
## Private Types
typedef deFSReal::FindInfoReal | FindInfoReal
## Private Attributes
char | priv_CurrentDirectory [1024]
char | priv_TempCurrentDirectory [1024]
## Friends
class | deFileReal

## Member Typedef Documentation

typedef struct deFSReal::FindInfoReal deFSReal::FindInfoReal`[private]`

## Constructor & Destructor Documentation

deFSReal::deFSReal | ( |  | ) |

deFSReal::~deFSReal | ( |  | ) |

## Member Function Documentation

deBoolean deFSReal::AddDirectory | ( | const char * | Directory | ) | `[virtual]`

  | Create a directory Parameters:
  in] | Directory The name of the directory
Reimplemented from deFileSystem.

deBoolean deFSReal::Copy | ( | const char * | OldFilename,
|  | const char * | NewFilename,
|  | deFSPROGRESS | StatusCallback
| ) | `[virtual]`

  | Copy a file Parameters:
  in] | Filename File to copy
  in] | StatusCallback Pointer to a function to call while copying, pass a NULL for no callbacks
Returns: True/False if the copy was successful Reimplemented from deFileSystem.

deBoolean deFSReal::deFSReal::Open | ( | deFileReal * | RealFile,
|  | const char * | Filename,
|  | long | OpenFlags
| ) | `[protected]`

deBoolean deFSReal::Delete | ( | const char * | Filename,
|  | deFSPROGRESS | StatusCallback
| ) | `[virtual]`

  | Delete a file Parameters:
  in] | Filename File to Delete
  in] | StatusCallback Pointer to a function to call while deleting, pass a NULL for no callbacks
Returns: True/False if the delete was successful Reimplemented from deFileSystem.

deBoolean deFSReal::DeleteDirectory | ( | const char * | Directory,
|  | deFSPROGRESS | StatusCallback
| ) | `[virtual]`

  | Delete a directory Parameters:
  in] | Name of the directory to delete
  in] | StatusCallback Pointer to a function to call while deleting, pass a NULL for no callbacks
Returns: True/False if the delete was successful Reimplemented from deFileSystem.

deBoolean deFSReal::FindEnd | ( | void * | Handle | ) | `[virtual]`

  | Finish a find and cleanup any memory usage Parameters:
  in] | Handle Find to finish
Returns: True if the find is done, False if there was a problem Reimplemented from deFileSystem.

void* deFSReal::FindFirst | ( | const char * | Pattern,
|  | deFileProperties * | Properties
| ) | `[virtual]`

  | Start a find on the filesystem Parameters:
  in] | Pattern Pattern to match the files to. ? to match 1 character, * for multiple character matching
  out] | Properties Information about the first file found that matches
Returns: A value used to identify the find for later finds Reimplemented from deFileSystem.

deBoolean deFSReal::FindNext | ( | void * | Handle,
|  | deFileProperties * | Properties
| ) | `[virtual]`

  | Find the next file in the list that matches Parameters:
  in] | Handle Value returned by FindFirst
  out] | Properties Information about the file found that matches
Returns: True if a file was found, False if no more files exist Reimplemented from deFileSystem.

const char * deFSReal::GetDirectory | ( |  | ) | `[virtual]`

| Get the current directoriy. Reimplemented from deFileSystem.

void * deFSReal::GetInterface | ( | IdeFileSystem::interface_t | i | ) | `[virtual]`

  | Function to obtain the proper interface for the filesystem Parameters:
  in] | i Input for the type of interface to return
Returns: Returns a pointer to the requested interface or NULL if an invalid interface Reimplemented from deFileSystem.

deBoolean deFSReal::Move | ( | const char * | OldFilename,
|  | const char * | NewFilename,
|  | deFSPROGRESS | StatusCallback
| ) | `[virtual]`

  | Move a file Parameters:
  in] | Filename File to move
  in] | StatusCallback Pointer to a function to call while moving, pass a NULL for no callbacks
Returns: True/False if the move was successful Reimplemented from deFileSystem.

IdeFile * deFSReal::Open | ( | const char * | Filename,
|  | long | OpenFlags
| ) | `[virtual]`

  | Open a file Parameters:
  in] | Filename Filename to open
  in] | OpenFlags flags for opening the filesystem deFile_Open_Create Create a file, fail if it exists deFile_Open_Existing Open an existing file, fail it if does not exist deFile_Open_Always Always open the file, create if it does not exist or open existing deFile_Open_CreateAlways Always open the file, override if the file already exists
Returns: Return a pointer to an IdeFile class if valid Reimplemented from deFileSystem.

deBoolean deFSReal::Rename | ( | const char * | OldFilename,
|  | const char * | NewFilename
| ) | `[virtual]`

  | Rename a file Parameters:
  in] | OldFilename Original file to rename
  in] | NewFilename New name for the file
Returns: True/False if the rename was successful Reimplemented from deFileSystem.

deBoolean deFSReal::SetDirectory | ( | const char * | Directory | ) | `[virtual]`

| Set the current directory. Reimplemented from deFileSystem.

## Friends And Related Function Documentation

friend class deFileReal`[friend]`

## Member Data Documentation

char deFSReal::priv_CurrentDirectory[1024]`[private]`

char deFSReal::priv_TempCurrentDirectory[1024]`[private]`

The documentation for this class was generated from the following files:

- deFileSystem_priv.hpp
- deFSReal.cpp